Loading...
Searching...
No Matches
volk_32f_s32f_mod_rangepuppet_32f.h File Reference
`#include <volk/volk_32f_s32f_s32f_mod_range_32f.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_s32f_mod_rangepuppet_32f_generic (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_u_sse (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_a_sse (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_u_sse2 (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_a_sse2 (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_u_avx (float *output, const float *input, float bound, unsigned int num_points)
static void | volk_32f_s32f_mod_rangepuppet_32f_a_avx (float *output, const float *input, float bound, unsigned int num_points)

## Function Documentation

## volk_32f_s32f_mod_rangepuppet_32f_a_avx()

void volk_32f_s32f_mod_rangepuppet_32f_a_avx | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_a_sse()

void volk_32f_s32f_mod_rangepuppet_32f_a_sse | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_a_sse2()

void volk_32f_s32f_mod_rangepuppet_32f_a_sse2 | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_generic()

void volk_32f_s32f_mod_rangepuppet_32f_generic | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_u_avx()

void volk_32f_s32f_mod_rangepuppet_32f_u_avx | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_u_sse()

void volk_32f_s32f_mod_rangepuppet_32f_u_sse | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_mod_rangepuppet_32f_u_sse2()

void volk_32f_s32f_mod_rangepuppet_32f_u_sse2 | ( | float * | output,
|  | const float * | input,
|  | float | bound,
|  | unsigned int | num_points )

inline static